# Constant Field Values

## Contents

- org.gitana.*

## org.gitana.*

org.gitana.platform.client.api.AuthenticationGrant
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_CLIENT_ID`
`"clientId"`
`public static final String`
`FIELD_ENABLED`
`"enabled"`
`public static final String`
`FIELD_KEY`
`"key"`
`public static final String`
`FIELD_PRINCIPAL_DOMAIN_ID`
`"principalDomainId"`
`public static final String`
`FIELD_PRINCIPAL_ID`
`"principalId"`
`public static final String`
`FIELD_SECRET`
`"secret"`
org.gitana.platform.client.api.Client
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ACCESS_TOKEN_VALIDITY_SECONDS`
`"accessTokenValiditySeconds"`
`public static final String`
`FIELD_ALLOW_AUTO_APPROVAL_FOR_IMPLICIT_FLOW`
`"allowAutoApprovalForImplicitFlow"`
`public static final String`
`FIELD_ALLOW_GUEST_LOGIN`
`"allowGuestLogin"`
`public static final String`
`FIELD_ALLOW_OPENDRIVER_AUTHENTICATION`
`"allowOpenDriverAuthentication"`
`public static final String`
`FIELD_AUTHORIZED_GRANT_TYPES`
`"authorizedGrantTypes"`
`public static final String`
`FIELD_DEFAULT_TENANT_ID`
`"defaultTenantId"`
`public static final String`
`FIELD_DOMAIN_URLS`
`"domainUrls"`
`public static final String`
`FIELD_ENABLED`
`"enabled"`
`public static final String`
`FIELD_IS_TENANT_DEFAULT`
`"isTenantDefault"`
`public static final String`
`FIELD_KEY`
`"key"`
`public static final String`
`FIELD_REFRESH_TOKEN_VALIDITY_SECONDS`
`"refreshTokenValiditySeconds"`
`public static final String`
`FIELD_REGISTERED_REDIRECT_URI`
`"registeredRedirectUri"`
`public static final String`
`FIELD_SCOPE`
`"scope"`
`public static final String`
`FIELD_SECRET`
`"secret"`

org.gitana.platform.client.application.Application
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_DEPLOYMENT_AUTH_GRANT_ID`
`"authGrantId"`
`public static final String`
`FIELD_DEPLOYMENT_CLIENT_ID`
`"clientId"`
`public static final String`
`FIELD_DEPLOYMENT_DOMAIN`
`"domain"`
`public static final String`
`FIELD_DEPLOYMENT_SUBDOMAIN`
`"subdomain"`
`public static final String`
`FIELD_DEPLOYMENT_WEBHOST`
`"webhost"`
`public static final String`
`FIELD_DEPLOYMENTS`
`"deployments"`
`public static final String`
`FIELD_KEY`
`"key"`
`public static final String`
`FIELD_SOURCE`
`"source"`
`public static final String`
`FIELD_SOURCE_PUBLIC`
`"public"`
`public static final String`
`FIELD_SOURCE_TYPE`
`"type"`
`public static final String`
`FIELD_SOURCE_URI`
`"uri"`
org.gitana.platform.client.application.Email
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_BCC`
`"bcc"`
`public static final String`
`FIELD_BODY`
`"body"`
`public static final String`
`FIELD_BODY_ATTACHMENT_ID`
`"bodyAttachmenTId"`
`public static final String`
`FIELD_BODY_BRANCH_ID`
`"bodyBranchId"`
`public static final String`
`FIELD_BODY_NODE_ID`
`"bodyNodeId"`
`public static final String`
`FIELD_BODY_REPOSITORY_ID`
`"bodyRepositoryId"`
`public static final String`
`FIELD_CC`
`"cc"`
`public static final String`
`FIELD_FROM`
`"from"`
`public static final String`
`FIELD_REPLY_TO`
`"replyTo"`
`public static final String`
`FIELD_SENT`
`"sent"`
`public static final String`
`FIELD_SENT_BY`
`"sentBy"`
`public static final String`
`FIELD_SENT_ON`
`"sentOn"`
`public static final String`
`FIELD_SUBJECT`
`"subject"`
`public static final String`
`FIELD_TO`
`"to"`
`public static final String`
`FIELD_TO_DOMAIN_ID`
`"toDomainId"`
`public static final String`
`FIELD_TO_PRINCIPAL_ID`
`"toPrincipalId"`
org.gitana.platform.client.application.EmailProvider
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_HOST`
`"host"`
`public static final String`
`FIELD_PASSWORD`
`"password"`
`public static final String`
`FIELD_PORT`
`"port"`
`public static final String`
`FIELD_SMTP_ENABLED`
`"smtp_enabled"`
`public static final String`
`FIELD_SMTP_IS_SECURE`
`"smtp_is_secure"`
`public static final String`
`FIELD_SMTP_REQUIRES_AUTH`
`"smtp_requires_auth"`
`public static final String`
`FIELD_SMTP_STARTTLS_ENABLED`
`"smtp_starttls_enabled"`
`public static final String`
`FIELD_USERNAME`
`"username"`
org.gitana.platform.client.application.Registration
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ACTIVE`
`"active"`
`public static final String`
`FIELD_ADDONS`
`"addons"`
`public static final String`
`FIELD_COMPLETED`
`"completed"`
`public static final String`
`FIELD_COMPLETED_PRINCIPAL_ID`
`"completedPrincipalId"`
`public static final String`
`FIELD_COMPLETED_TENANT_ID`
`"completedTenantId"`
`public static final String`
`FIELD_CONFIRMATION_SENT`
`"confirmationSent"`
`public static final String`
`FIELD_DISCOUNTS`
`"discounts"`
`public static final String`
`FIELD_EMAIL_PROVIDER_ID`
`"emailProviderId"`
`public static final String`
`FIELD_EMAILS`
`"emails"`
`public static final String`
`FIELD_PAYMENT_METHOD_ID`
`"paymentMethodId"`
`public static final String`
`FIELD_SIGNUP_PROPERTIES`
`"signupProperties"`
`public static final String`
`FIELD_TENANT_DESCRIPTION`
`"tenantDescription"`
`public static final String`
`FIELD_TENANT_PLAN_KEY`
`"tenantPlanKey"`
`public static final String`
`FIELD_TENANT_REGISTRAR_ID`
`"tenantRegistrarId"`
`public static final String`
`FIELD_TENANT_TITLE`
`"tenantTitle"`
`public static final String`
`FIELD_USER_DOMAIN_ID`
`"userDomainId"`
`public static final String`
`FIELD_USER_EMAIL`
`"userEmail"`
`public static final String`
`FIELD_USER_NAME`
`"userName"`
`public static final String`
`FIELD_USER_PROPERTIES`
`"userProperties"`
org.gitana.platform.client.application.Settings
Modifier and Type
Constant Field
Value
`public static final String`
`ROOT_KEY`
`"settings"`

org.gitana.platform.client.archive.Archive
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_TEMPLATE`
`"template"`
`public static final String`
`FIELD_TEMPLATE_KEY`
`"templateKey"`
`public static final String`
`FIELD_TEMPLATE_TYPE`
`"templateType"`

org.gitana.platform.client.attachment.Attachment
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ATTACHMENT_CONTENT_TYPE`
`"contentType"`
`public static final String`
`FIELD_ATTACHMENT_FILENAME`
`"filename"`
`public static final String`
`FIELD_ATTACHMENT_ID`
`"attachmentId"`
`public static final String`
`FIELD_ATTACHMENT_LENGTH`
`"length"`
`public static final String`
`FIELD_ATTACHMENT_OBJECT_ID`
`"objectId"`

org.gitana.platform.client.billing.BillingProviderConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_KEY`
`"key"`
`public static final String`
`FIELD_PROVIDER_ID`
`"providerId"`
org.gitana.platform.client.billing.BillingTransaction
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_AMOUNT`
`"amount"`
`public static final String`
`FIELD_CREATED_ON`
`"createdOn"`
`public static final String`
`FIELD_CURRENCY_ISO_CODE`
`"currencyIsoCode"`
`public static final String`
`FIELD_ID`
`"id"`
`public static final String`
`FIELD_PAYMENT_METHOD_NUMBER_MASKED`
`"paymentMethodNumberMasked"`
`public static final String`
`FIELD_PAYMENT_METHOD_TYPE`
`"paymentMethodType"`
`public static final String`
`FIELD_PLAN_KEY`
`"planKey"`
`public static final String`
`FIELD_TAX_AMOUNT`
`"taxAmount"`
org.gitana.platform.client.billing.PaymentMethod
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_EXPIRATION_MONTH`
`"expirationMonth"`
`public static final String`
`FIELD_EXPIRATION_YEAR`
`"expirationYear"`
`public static final String`
`FIELD_HOLDER_NAME`
`"holderName"`
`public static final String`
`FIELD_ID`
`"id"`
`public static final String`
`FIELD_NUMBER`
`"number"`
`public static final String`
`FIELD_NUMBER_LAST4`
`"numberLast4"`
`public static final String`
`FIELD_NUMBER_MASKED`
`"numberMasked"`
`public static final String`
`FIELD_TYPE`
`"type"`

org.gitana.platform.client.branch.Branch
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_BRANCH_TYPE`
`"type"`
`public static final String`
`FIELD_FROZEN`
`"frozen"`
`public static final String`
`FIELD_JOIN_BRANCH`
`"join-branch"`
`public static final String`
`FIELD_READONLY`
`"readonly"`
`public static final String`
`FIELD_ROOT`
`"root"`
`public static final String`
`FIELD_ROOT_BRANCH`
`"root-branch"`
`public static final String`
`FIELD_SNAPSHOT`
`"snapshot"`
`public static final String`
`FIELD_TIP`
`"tip"`

org.gitana.platform.client.changeset.Changeset
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ACTIVE`
`"active"`
`public static final String`
`FIELD_BRANCH`
`"branch"`
`public static final String`
`FIELD_PARENTS`
`"parents"`
`public static final String`
`FIELD_REV`
`"revision"`
`public static final String`
`FIELD_SUMMARY`
`"summary"`
`public static final String`
`FIELD_TAGS`
`"tags"`

org.gitana.platform.client.deletion.Deletion
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_DELETION`
`"_deletion"`
`public static final String`
`FIELD_DELETION_ASSOCIATION`
`"association"`
`public static final String`
`FIELD_DELETION_CHANGESET_ID`
`"changesetId"`
`public static final String`
`FIELD_DELETION_DELETED_BY`
`"deletedBy"`
`public static final String`
`FIELD_DELETION_DELETED_ON`
`"deletedOn"`
`public static final String`
`FIELD_DELETION_NODE_ID`
`"nodeId"`
`public static final String`
`FIELD_DELETION_TRANSACTION`
`"transaction"`

org.gitana.platform.client.document.Document
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ID`
`"_doc"`
`public static final String`
`SYSTEM`
`"_system"`
`public static final String`
`SYSTEM_CREATED_BY`
`"created_by"`
`public static final String`
`SYSTEM_CREATED_ON`
`"created_on"`
`public static final String`
`SYSTEM_MODIFIED_BY`
`"modified_by"`
`public static final String`
`SYSTEM_MODIFIED_ON`
`"modified_on"`

org.gitana.platform.client.job.Job
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ATTEMPTS`
`"attempts"`
`public static final String`
`FIELD_CURRENT_SERVER`
`"current_server"`
`public static final String`
`FIELD_CURRENT_SERVER_TIMESTAMP`
`"current_server_timestmap"`
`public static final String`
`FIELD_CURRENT_THREAD`
`"current_thread"`
`public static final String`
`FIELD_LOG_ENTRIES`
`"log_entries"`
`public static final String`
`FIELD_PAUSED`
`"paused"`
`public static final String`
`FIELD_PAUSED_BY`
`"paused_by"`
`public static final String`
`FIELD_PAUSED_TIMESTAMP`
`"paused_timestamp"`
`public static final String`
`FIELD_PLATFORM_ID`
`"platformId"`
`public static final String`
`FIELD_PRIORITY`
`"priority"`
`public static final String`
`FIELD_RUN_AS_PRINCIPAL_DOMAIN_ID`
`"runAsPrincipalDomainId"`
`public static final String`
`FIELD_RUN_AS_PRINCIPAL_ID`
`"runAsPrincipalId"`
`public static final String`
`FIELD_SCHEDULE_START_MS`
`"schedule_start_ms"`
`public static final String`
`FIELD_STARTED`
`"started"`
`public static final String`
`FIELD_STARTED_TIMESTAMP`
`"started_timestamp"`
`public static final String`
`FIELD_STATE`
`"state"`
`public static final String`
`FIELD_STOPPED`
`"stopped"`
`public static final String`
`FIELD_STOPPED_TIMESTAMP`
`"stopped_timestamp"`
`public static final String`
`FIELD_SUBMITTED_BY`
`"submitted_by"`
`public static final String`
`FIELD_SUBMITTED_TIMESTAMP`
`"submitted_timestamp"`
`public static final String`
`FIELD_TYPE`
`"type"`
org.gitana.platform.client.job.JobLogEntry
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_MESSAGE`
`"message"`
`public static final String`
`FIELD_STACKTRACE`
`"stacktrace"`
`public static final String`
`FIELD_TIMESTAMP`
`"timestamp"`
`public static final String`
`FIELD_TYPE`
`"type"`

org.gitana.platform.client.log.LogEntry
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_BRANCH_ID`
`"branchId"`
`public static final String`
`FIELD_CLASS`
`"class"`
`public static final String`
`FIELD_CLASS_FULLY_QUALIFIED_NAME`
`"fullyQualifiedName"`
`public static final String`
`FIELD_CLASS_NAME`
`"name"`
`public static final String`
`FIELD_CLASS_PACKAGE`
`"package"`
`public static final String`
`FIELD_FILENAME`
`"filename"`
`public static final String`
`FIELD_LEVEL`
`"level"`
`public static final String`
`FIELD_LINE_NUMBER`
`"line"`
`public static final String`
`FIELD_MESSAGE`
`"message"`
`public static final String`
`FIELD_METHOD`
`"method"`
`public static final String`
`FIELD_PRINCIPAL_ID`
`"principalId"`
`public static final String`
`FIELD_REPOSITORY_ID`
`"repositoryId"`
`public static final String`
`FIELD_THREAD`
`"thread"`
`public static final String`
`FIELD_THROWABLES`
`"throwables"`
`public static final String`
`FIELD_TIMESTAMP`
`"timestamp"`
org.gitana.platform.client.log.LogStackTraceElement
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_CLASS`
`"class"`
`public static final String`
`FIELD_CLASS_FULLY_QUALIFIED_NAME`
`"fullyQualifiedName"`
`public static final String`
`FIELD_CLASS_NAME`
`"name"`
`public static final String`
`FIELD_CLASS_PACKAGE`
`"package"`
`public static final String`
`FIELD_FILENAME`
`"filename"`
`public static final String`
`FIELD_LINE_NUMBER`
`"line"`
`public static final String`
`FIELD_METHOD`
`"method"`
org.gitana.platform.client.log.LogThrowable
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_MESSAGE`
`"message"`
`public static final String`
`FIELD_STACKTRACE`
`"stacktrace"`

org.gitana.platform.client.meter.Meter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_COLLECTION_ID`
`"meters"`
`public static final String`
`FIELD_BILLABLE_BYTE_COUNT`
`"billableByteCount"`
`public static final String`
`FIELD_BILLABLE_BYTE_COUNT_PERCENTAGE`
`"billableByteCountPercentage"`
`public static final String`
`FIELD_BILLABLE_OBJECT_COUNT`
`"billableObjectCount"`
`public static final String`
`FIELD_BILLABLE_OBJECT_COUNT_PERCENTAGE`
`"billableObjectCountPercentage"`
`public static final String`
`FIELD_MAX_BYTE_COUNT`
`"maxByteCount"`
`public static final String`
`FIELD_MAX_OBJECT_COUNT`
`"maxObjectCount"`
`public static final String`
`FIELD_METER_END`
`"meterEnd"`
`public static final String`
`FIELD_METER_START`
`"meterStart"`
`public static final String`
`FIELD_METER_TYPE`
`"meterType"`
`public static final String`
`FIELD_RAW_BYTE_COUNT`
`"rawByteCount"`
`public static final String`
`FIELD_RAW_BYTE_COUNT_PERCENTAGE`
`"rawByteCountPercentage"`
`public static final String`
`FIELD_RAW_OBJECT_COUNT`
`"rawObjectCount"`
`public static final String`
`FIELD_RAW_OBJECT_COUNT_PERCENTAGE`
`"rawObjectCountPercentage"`
`public static final String`
`FIELD_TENANT_ID`
`"tenantId"`
`public static final String`
`FIELD_UNPROCESSED_BYTE_COUNT`
`"unprocessedByteCount"`
`public static final String`
`FIELD_UNPROCESSED_OBJECT_COUNT`
`"unprocessedObjectCount"`

org.gitana.platform.client.node.Association
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_DIRECTIONALITY`
`"directionality"`
`public static final String`
`FIELD_SOURCE`
`"source"`
`public static final String`
`FIELD_SOURCE_CHANGESET`
`"source_changeset"`
`public static final String`
`FIELD_SOURCE_TYPE`
`"source_type"`
`public static final String`
`FIELD_TARGET`
`"target"`
`public static final String`
`FIELD_TARGET_CHANGESET`
`"target_changeset"`
`public static final String`
`FIELD_TARGET_TYPE`
`"target_type"`
`public static final String`
`FIELD_TIMESTAMP`
`"timestamp"`
org.gitana.platform.client.node.BaseNode
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_FEATURES`
`"_features"`
`public static final String`
`FIELD_QNAME`
`"_qname"`
`public static final String`
`FIELD_TYPE_QNAME`
`"_type"`
`public static final String`
`SYSTEM_CHANGESET`
`"changeset"`
`public static final String`
`SYSTEM_DELETED`
`"deleted"`

org.gitana.platform.client.node.type.Group
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_PRINCIPAL_DOMAIN`
`"principal-domain"`
`public static final String`
`FIELD_PRINCIPAL_ID`
`"principal-id"`
`public static final String`
`FIELD_PRINCIPAL_NAME`
`"principal-name"`
org.gitana.platform.client.node.type.HasFormAssociation
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_FORM_KEY`
`"form-key"`
org.gitana.platform.client.node.type.NodeList
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_LIST_ITEM_TYPE`
`"listItemType"`
`public static final String`
`FIELD_LIST_KEY`
`"listKey"`
org.gitana.platform.client.node.type.Person
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_PRINCIPAL_DOMAIN_ID`
`"principal-domain"`
`public static final String`
`FIELD_PRINCIPAL_EMAIL`
`"principal-email"`
`public static final String`
`FIELD_PRINCIPAL_ID`
`"principal-id"`
`public static final String`
`FIELD_PRINCIPAL_NAME`
`"principal-name"`

org.gitana.platform.client.permission.PermissionCheck
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_PERMISSION_ID`
`"permissionId"`
`public static final String`
`FIELD_PERMISSIONED_ID`
`"permissionedId"`
`public static final String`
`FIELD_PRINCIPAL_ID`
`"principalId"`
org.gitana.platform.client.permission.PermissionCheckResult
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_RESULT`
`"result"`

org.gitana.platform.client.plan.Plan
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_BASE`
`"base"`
`public static final String`
`FIELD_BASE_PRICE`
`"price"`
`public static final String`
`FIELD_BASE_SCHEDULE`
`"schedule"`
`public static final String`
`FIELD_CAPABILITIES`
`"capabilities"`
`public static final String`
`FIELD_PLAN_KEY`
`"planKey"`
`public static final String`
`FIELD_REQUIRES_BILLING`
`"requiresBilling"`
`public static final String`
`FIELD_STORAGE`
`"storage"`
`public static final String`
`FIELD_STORAGE_ALLOWANCE`
`"allowance"`
`public static final String`
`FIELD_STORAGE_BILLING_KEY`
`"billingKey"`
`public static final String`
`FIELD_STORAGE_MAX`
`"max"`
`public static final String`
`FIELD_STORAGE_PRICE`
`"price"`
`public static final String`
`FIELD_STORAGE_REQUIRES_BILLING`
`"requiresBilling"`
`public static final String`
`FIELD_STORAGE_UNIT`
`"unit"`
`public static final String`
`FIELD_SUBTENANT_ALLOWANCE`
`"subtenantAllowance"`
`public static final String`
`FIELD_TRANSFER_OUT`
`"transferOut"`
`public static final String`
`FIELD_TRANSFER_OUT_ALLOWANCE`
`"allowance"`
`public static final String`
`FIELD_TRANSFER_OUT_BILLING_KEY`
`"billingKey"`
`public static final String`
`FIELD_TRANSFER_OUT_MAX`
`"max"`
`public static final String`
`FIELD_TRANSFER_OUT_PRICE`
`"price"`
`public static final String`
`FIELD_TRANSFER_OUT_REQUIRES_BILLING`
`"requiresBilling"`
`public static final String`
`FIELD_TRANSFER_OUT_UNIT`
`"unit"`

org.gitana.platform.client.principal.DomainPrincipal
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_AUTHORITIES`
`"authorities"`
`public static final String`
`FIELD_NAME`
`"name"`
`public static final String`
`FIELD_TYPE`
`"type"`
org.gitana.platform.client.principal.DomainUser
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_COMPANY_NAME`
`"companyName"`
`public static final String`
`FIELD_DIRECTORY_ID`
`"directoryId"`
`public static final String`
`FIELD_EMAIL`
`"email"`
`public static final String`
`FIELD_FIRST_NAME`
`"firstName"`
`public static final String`
`FIELD_IDENTITY_ID`
`"identityId"`
`public static final String`
`FIELD_LAST_NAME`
`"lastName"`

org.gitana.platform.client.project.Project
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_FAMILY`
`"family"`
`public static final String`
`FIELD_PROJECT_TYPE`
`"projectType"`
`public static final String`
`FIELD_SHARED_STACK`
`"sharedStack"`
`public static final String`
`FIELD_STACK_ID`
`"stackId"`

org.gitana.platform.client.registrar.Registrar
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_BILLING_PROVIDER_CONFIGURATION_ID`
`"billingProviderConfigurationId"`

org.gitana.platform.client.release.Release
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ARCHIVED`
`"archived"`
`public static final String`
`FIELD_BRANCH_ID`
`"branchId"`
`public static final String`
`FIELD_FINALIZE_HAS_CONFLICTS`
`"finalizeHasConflicts"`
`public static final String`
`FIELD_FINALIZED`
`"finalized"`
`public static final String`
`FIELD_FINALIZED_BY`
`"finalizedBy"`
`public static final String`
`FIELD_FINALIZED_DATE`
`"finalizedDate"`
`public static final String`
`FIELD_RELEASE_DATE`
`"releaseDate"`
`public static final String`
`FIELD_RELEASED`
`"released"`
`public static final String`
`FIELD_REV`
`"rev"`
`public static final String`
`FIELD_SCHEDULED`
`"scheduled"`
`public static final String`
`FIELD_SCHEDULED_BY`
`"scheduledBy"`
`public static final String`
`FIELD_SCHEDULED_DATE`
`"scheduledDate"`
`public static final String`
`FIELD_SCHEDULED_WORK_ID`
`"scheduledWorkId"`
`public static final String`
`FIELD_SNAPSHOT_ID`
`"snapshotId"`

org.gitana.platform.client.stack.Stack
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_KEY`
`"key"`

org.gitana.platform.client.support.Environment
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT`
`"default"`
org.gitana.platform.client.support.Response
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ERROR`
`"error"`
`public static final String`
`FIELD_MESSAGE`
`"message"`
`public static final String`
`FIELD_OFFSET`
`"offset"`
`public static final String`
`FIELD_OK`
`"ok"`
`public static final String`
`FIELD_ROWS`
`"rows"`
`public static final String`
`FIELD_STACKTRACE`
`"stacktrace"`
`public static final String`
`FIELD_TOTAL_ROWS`
`"total_rows"`
org.gitana.platform.client.support.TitleDescription
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_DESCRIPTION`
`"description"`
`public static final String`
`FIELD_TITLE`
`"title"`

org.gitana.platform.client.team.Team
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_GROUP_DOMAIN_ID`
`"groupDomainId"`
`public static final String`
`FIELD_GROUP_ID`
`"groupId"`
`public static final String`
`FIELD_KEY`
`"key"`
`public static final String`
`FIELD_ROLE_KEYS`
`"roleKeys"`
`public static final String`
`FIELD_TEAMABLE_ID`
`"teamableObjectId"`
`public static final String`
`FIELD_TEAMABLE_TYPE_ID`
`"teamableObjectTypeId"`

org.gitana.platform.client.tenant.Tenant
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_BILLING_PAYMENT_METHOD_ID`
`"billingPaymentMethodId"`
`public static final String`
`FIELD_BILLING_SUBSCRIPTION_ID`
`"billingSubscriptionId"`
`public static final String`
`FIELD_DEPLOYED_APPLICATION_COUNT`
`"deployedApplicationCount"`
`public static final String`
`FIELD_DNS_SLUG`
`"dnsSlug"`
`public static final String`
`FIELD_DOMAIN_ID`
`"domainId"`
`public static final String`
`FIELD_ENABLED`
`"enabled"`
`public static final String`
`FIELD_PLAN_KEY`
`"planKey"`
`public static final String`
`FIELD_PLATFORM_ID`
`"platformId"`
`public static final String`
`FIELD_PRINCIPAL_ID`
`"principalId"`
`public static final String`
`FIELD_SUBTENANT_COUNT`
`"subtenantCount"`

org.gitana.platform.client.transfer.CopyJob
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_IMPORTS`
`"imports"`
org.gitana.platform.client.transfer.TransferExportJob
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ARCHIVE_ARTIFACT`
`"archiveArtifact"`
`public static final String`
`FIELD_ARCHIVE_GROUP`
`"archiveGroup"`
`public static final String`
`FIELD_ARCHIVE_VERSION`
`"archiveVersion"`
`public static final String`
`FIELD_CONFIGURATION`
`"configuration"`
`public static final String`
`FIELD_VAULT_ID`
`"vaultId"`
org.gitana.platform.client.transfer.TransferImportJob
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_ARCHIVE_ARTIFACT`
`"archiveArtifact"`
`public static final String`
`FIELD_ARCHIVE_GROUP`
`"archiveGroup"`
`public static final String`
`FIELD_ARCHIVE_VERSION`
`"archiveVersion"`
`public static final String`
`FIELD_CONFIGURATION`
`"configuration"`
`public static final String`
`FIELD_IMPORTS`
`"imports"`
`public static final String`
`FIELD_TARGETS`
`"targets"`
`public static final String`
`FIELD_VAULT_ID`
`"vaultId"`

org.gitana.platform.client.webhost.AutoClientMapping
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_APPLICATION_ID`
`"applicationId"`
`public static final String`
`FIELD_APPLICATION_KEY`
`"applicationKey"`
`public static final String`
`FIELD_AUTH_GRANT_KEY`
`"authGrantKey"`
`public static final String`
`FIELD_CLIENT_KEY`
`"clientKey"`
`public static final String`
`FIELD_HOST`
`"host"`
org.gitana.platform.client.webhost.DeployedApplication
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_APPLICATION_ID`
`"applicationId"`
`public static final String`
`FIELD_DEPLOYMENT_DOMAIN`
`"deploymentDomain"`
`public static final String`
`FIELD_DEPLOYMENT_KEY`
`"deploymentKey"`
`public static final String`
`FIELD_DEPLOYMENT_SUBDOMAIN`
`"deploymentSubdomain"`
`public static final String`
`FIELD_DEPLOYMENT_WEBHOST`
`"deploymentWebhost"`
`public static final String`
`FIELD_URLS`
`"urls"`
org.gitana.platform.client.webhost.WebHost
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_AUTOMANAGED_URL_PATTERNS`
`"urlPatterns"`
`public static final String`
`FIELD_DEPLOYER_TYPES`
`"deployerTypes"`
`public static final String`
`FIELD_KEY`
`"key"`